BAM(1)

NAME
bam - fast and flexible build system

DESCRIPTION
usage: bam [<options>] [<variables>=<values>] [<targets>]

    Execution:

-a  abort build on first error

-e  executes specified lua file and exits

-c  clean targets

-f  force build

-d  build targets that is dependent given targets

--dry
    dry run, don't run any jobs

-j  sets the number of threads to use (default: auto, -v will show it)

-s  script file to use (default: bam.lua)

    Lua:

-l  print local variables in backtrace

-t  print backtrace when an error occurs

    Output:

-r  build progress report format (default: s) b = progress bar c = use ansi colors s = build steps

-v  be verbose

    Other:

-n  don't use cache

-g  ignore script timestamp

-h, --help
    prints this help

--help-debug
    prints debugging options

bam version 0.5.1 using Lua 5.3.3